List documents visible to you
curl --request GET \
--url https://api.example.com/api/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"owner": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"page_count": 123,
"chunk_count": 123,
"subtype": "<string>",
"status": "uploading",
"enrichment_status": "pending",
"datahub_urn": "<string>",
"extraction_warning": "<string>",
"suggested_summary": "<string>",
"error": "<string>",
"s3_key": "<string>",
"suggested_tags": [
{
"name": "<string>",
"is_existing": false,
"urn": "<string>"
}
],
"suggested_glossary_terms": [
{
"name": "<string>",
"is_existing": false,
"urn": "<string>"
}
],
"suggested_domain": {
"name": "<string>",
"is_existing": false,
"urn": "<string>"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Documents
List documents visible to you
Returns the documents you can see based on your Keycloak role.
With the nx1_document_user Keycloak role, you see only your own
uploads. With the nx1_document_admin Keycloak role, you see every
document in the system.
GET
/
api
/
documents
List documents visible to you
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Response
Successful Response
Lifecycle status of an ingested document.
Available options:
uploading, extracting, ocr_required, indexed, failed Crew-driven enrichment lifecycle.
Available options:
pending, running, awaiting_review, confirmed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
A flagged enrichment suggestion for a tag, glossary term, or domain.
Show child attributes
Show child attributes
Was this page helpful?

